<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>components.dataset &mdash; PYKKN 0.1 documentation</title>
      <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/graphviz.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/panels-bootstrap.5fd3999ee7762ccc51105388f4a9d115.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/doctools.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" />
    <link rel="next" title="components.dataset_image" href="../dataset_image/index.html" />
    <link rel="prev" title="components" href="../index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../../index.html" class="icon icon-home"> PYKKN
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../../start/index.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../user/index.html">User Guide</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../../index.html">API reference</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components</span></code></a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../index.html#submodules">Submodules</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.dataset</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../dataset_image/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.dataset_image</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../dataset_keyvalue/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.dataset_keyvalue</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../dataset_video/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.dataset_video</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../instrument/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.instrument</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../model/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.model</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../parameter/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.parameter</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../pipeline/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.pipeline</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../run/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.run</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="../storage/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.storage</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../index.html#package-contents">Package Contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">PYKKN</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../../index.html">API Reference</a> &raquo;</li>
          <li><a href="../index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components</span></code></a> &raquo;</li>
      <li><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.dataset</span></code></li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../../_sources/reference/components/dataset/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-components.dataset">
<span id="components-dataset"></span><h1><a class="reference internal" href="#module-components.dataset" title="components.dataset"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components.dataset</span></code></a><a class="headerlink" href="#module-components.dataset" title="Permalink to this headline"></a></h1>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline"></a></h2>
<section id="classes">
<h3>Classes<a class="headerlink" href="#classes" title="Permalink to this headline"></a></h3>
<table class="autosummary longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#components.dataset.Dataset" title="components.dataset.Dataset"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Dataset</span></code></a></p></td>
<td><p>An object of this class represents the dataset.</p></td>
</tr>
</tbody>
</table>
</section>
<section id="attributes">
<h3>Attributes<a class="headerlink" href="#attributes" title="Permalink to this headline"></a></h3>
<table class="autosummary longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#components.dataset.d" title="components.dataset.d"><code class="xref py py-obj docutils literal notranslate"><span class="pre">d</span></code></a></p></td>
<td><p></p></td>
</tr>
</tbody>
</table>
<dl class="py class">
<dt class="sig sig-object py" id="components.dataset.Dataset">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">components.dataset.</span></span><span class="sig-name descname"><span class="pre">Dataset</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#components.dataset.Dataset" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-obj docutils literal notranslate"><span class="pre">Storage</span></code></p>
<p>An object of this class represents the dataset.</p>
<p>At present, there is no requirement for the type of data, it is simply stored in the dataset.data attribute
and further processing will be performed according to the different data types read in.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>name</strong> (<em>str</em>) – the name of the dataset</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<p>dataset = Dataset(‘dataset1’)</p>
<p>dataset.data = np.double(1)</p>
<p>dataset.attrs[‘samplerate’] = 1000</p>
<p>dataset.attrs[‘timestamp’] = ‘2022-06-12 10:39:11’</p>
<p>dataset.set_storage_path(‘test/test_ut_ds.h5’)</p>
<p>dataset.store()</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="components.dataset.d">
<span class="sig-prename descclassname"><span class="pre">components.dataset.</span></span><span class="sig-name descname"><span class="pre">d</span></span><a class="headerlink" href="#components.dataset.d" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</section>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../index.html" class="btn btn-neutral float-left" title="components" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="../dataset_image/index.html" class="btn btn-neutral float-right" title="components.dataset_image" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, ADP Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>